import Client from '@hiro-graph/client';
import { SessionActionButton } from '../dashboard/shared';
import React from 'react';
export var smeConfig = {
    theme: {
        colors: {
            primary: '#519375',
            secondary: '#79B79B',
            primaryText: '#393941',
            secondaryText: '#90909A',
        },
        sizes: {
            borderRadius: '0.75em',
            padding: {
                normal: '1rem',
            },
        },
        font: {
            h1: {
                fontSize: 30,
                fontWeight: 'bold',
            },
            h2: {
                fontSize: 24,
                fontWeight: 'bold',
            },
            h3: {
                fontSize: 20,
                fontWeight: 'bold',
            },
        },
    },
    widgets: {
        SessionList: {
            as: 'TeachingSessions',
            title: 'Your recent Sessions',
            size: '100%',
        },
        WelcomeTeaching: {
            as: 'WelcomeTeaching',
            title: 'Welcome',
        },
        TopTeachingContributors: {
            as: 'TopTeachingContributors',
            title: 'Top Knowledge Contributors',
        },
        Statistic: {
            as: 'StatisticTeaching',
            title: 'Your HIRO Statistics',
        },
    },
};
export var aieConfig = {
    theme: {
        colors: {
            primary: '#517595',
            secondary: '#789ab9',
            primaryText: '#393941',
            secondaryText: '#90909A',
        },
        sizes: {
            borderRadius: '0.75em',
            padding: {
                normal: '1rem',
            },
        },
        font: {
            h1: {
                fontSize: 30,
                fontWeight: 'bold',
            },
            h2: {
                fontSize: 24,
                fontWeight: 'bold',
            },
            h3: {
                fontSize: 20,
                fontWeight: 'bold',
            },
        },
    },
    widgets: {
        SessionList: {
            as: 'TeachingSessions',
            title: 'Your recent Sessions',
            size: '100%',
        },
        WelcomeConversion: {
            as: 'WelcomeConversion',
            title: 'Welcome',
        },
        TopConverters: {
            as: 'TopConverters',
            title: 'Top Knowledge Conversion Owners',
        },
        Statistic: {
            as: 'StatisticConversion',
            title: 'Your HIRO Statistics',
        },
    },
};
export var me = {
    displayName: 'John Doe',
    id: 'uiouweqjkqehjkq',
    accountId: 'cjzmpitln02iz1d067qouut2r',
    email: 'johndoe@gmail.com',
    roles: ['SME'],
};
export var mockWelcomeWidgetConfiguration = {
    loading: false,
    error: false,
    greeting: '',
    subTitle: '',
    sessionsButtonsConfig: [
        {
            text: 'Start',
            onClick: function () { },
            id: 'New',
            buttonText: 'New',
            btnType: 'primary',
            buttonTextCount: 0,
        },
        {
            text: 'Continue',
            onClick: function () { },
            id: 'Started',
            buttonText: 'Started',
            btnType: 'secondary',
            buttonTextCount: 0,
        },
    ],
};
export var envUrls = {
    graphUrl: 'graphUrl',
    aragoIdUrl: 'aragoIdUrl',
};
export var appIds = {
    katId: 'cjk15cvij001aw434rx6ia8vs',
    atqId: 'ck1t7k4es0y1zm362u6t6d2wo',
    ivId: 'ck1t6lkuv0xxcm362hr8pddw0',
    kimId: 'ck1t754a40y06m362h1yw1plo',
};
export var provider = {
    openApp: function () { return undefined; },
    selectMe: function () { return me; },
    selectAppsIds: function () { return appIds; },
    getEnvUrls: function () { return envUrls; },
};
export var createClient = function (mocks) {
    var client = new Client({
        endpoint: '',
        token: '',
    }, {
        forceHTTP: true,
    });
    Object.entries(mocks).forEach(function (_a) {
        var key = _a[0], value = _a[1];
        // @ts-ignore
        client[key] = value;
    });
    return client;
};
export var knowledgePool = {
    title: 'Your Knowledge Pool',
    whatItIs: 'This value shows the ratio of Automated Tasks vs. not Automated Tasks.',
    howToImprove: 'Continue to teach HIRO how to automate your tasks. If you teach HIRO this value will increase over time.',
    differenceText: '+227 Knowledge Items since yesterday',
    angle: 33,
    valueText: '233k',
    valueColor: {
        color: 'primary',
        greyScale: 'light',
    },
    backgroundColor: {
        color: 'primary',
        greyScale: 'default',
    },
    error: false,
    errorText: 'Error',
};
export var automatedTasks = {
    title: 'Your Automated Tasks',
    whatItIs: 'This value shows the ratio of Automated Tasks vs. not Automated tasks.',
    howToImprove: 'Continue to teach HIRO how to automate your tasks. If you teach HIRO this value will increase over time.',
    differenceText: '+127 since yesterday',
    angle: 12,
    valueText: '3321',
    valueColor: {
        color: 'primary',
        greyScale: 'light',
    },
    backgroundColor: {
        color: 'primary',
        greyScale: 'default',
    },
    error: false,
    errorText: 'Error',
};
export var automationRate = {
    title: 'Automation Rate',
    whatItIs: 'This value shows the ratio of Automated Tasks vs. all Tasks.',
    howToImprove: 'Continue to teach HIRO how to automate your tasks. If you teach HIRO this value will increase over time.',
    differenceText: '- 10% since yesterday',
    angle: 84,
    valueText: '84%',
    valueColor: {
        color: 'primary',
        greyScale: 'default',
    },
    backgroundColor: {
        color: 'primary',
        greyScale: 'verylight',
    },
    error: false,
    errorText: 'Error',
};
export var contributors = [
    ['aie1@arago.co', 149],
    ['dev@arago.co', 51],
    ['ssabina@arago.co', 34],
    ['e2e@arago.co', 29],
    ['vit@arago.co', 12],
    ['ac@arago.co', 5],
];
export var sessions = [
    {
        id: '1',
        name: 'Jhon Doe',
        knowledgeOwner: 'Jhon Doe',
        originNodeHref: { url: 'https://arago.co', name: 'ogit/Node' },
        progress: null,
        actions: [
            React.createElement(SessionActionButton, { key: 0, onClick: function () { }, color: "primary", outlined: true }, "Go To Task List"),
        ],
    },
    {
        id: '2',
        name: 'Jhon Doe',
        knowledgeOwner: 'Jhon Doe',
        originNodeHref: { url: 'https://arago.co', name: 'ogit/Node' },
        progress: { value: 10, completed: 20, total: 30 },
        actions: [
            React.createElement(SessionActionButton, { key: 0, onClick: function () { }, color: "primary", outlined: true }, "Go To Task List"),
        ],
    },
    {
        id: '3',
        name: 'Jhon Doe',
        knowledgeOwner: 'Jhon Doe',
        originNodeHref: { url: 'https://arago.co', name: 'ogit/Node' },
        progress: { value: 10, completed: 20, total: 30 },
        actions: [
            React.createElement(SessionActionButton, { key: 0, onClick: function () { }, color: "primary", outlined: true }, "Go To Task List"),
        ],
    },
    {
        id: '4',
        name: 'Jhon Doe',
        knowledgeOwner: 'Jhon Doe',
        originNodeHref: { url: 'https://arago.co', name: 'ogit/Node' },
        progress: { value: 10, completed: 20, total: 30 },
        actions: [
            React.createElement(SessionActionButton, { key: 0, onClick: function () { }, color: "primary", outlined: true }, "Go To Task List"),
        ],
    },
    {
        id: '5',
        name: 'Jhon Doe',
        knowledgeOwner: 'Jhon Doe',
        originNodeHref: { url: 'https://arago.co', name: 'ogit/Node' },
        progress: { value: 10, completed: 20, total: 30 },
        actions: [
            React.createElement(SessionActionButton, { key: 0, onClick: function () { }, color: "primary", outlined: true }, "Go To Task List"),
        ],
    },
    {
        id: '6',
        name: 'Jhon Doe',
        knowledgeOwner: 'Jhon Doe',
        progress: { value: 10, completed: 20, total: 30 },
        actions: [
            React.createElement(SessionActionButton, { key: 0, onClick: function () { }, color: "primary", outlined: true }, "Go To Task List"),
        ],
    },
];
