var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import React from 'react';
import { SessionActionButton } from '../../shared';
import { configureSessionProgress } from '../../utils';
export var configureButtonTitle = function (userAccountId, owner, handedOver) {
    if (!owner) {
        return "Start teaching";
    }
    if (userAccountId !== owner || handedOver) {
        return 'Visit session';
    }
    return "Continue teaching";
};
export var handleTeachingSessionData = function (client, openApp, appIds, userId) { return function (session) { return __awaiter(void 0, void 0, void 0, function () {
    var katId, progressValue, buttonTitle, openSessionButton, actions, sessionData, knowledgeOwner, _a, error_1;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                katId = appIds[0];
                progressValue = configureSessionProgress({
                    value: session['/teaching_step_progress'],
                    completed: session['/teaching_rooms_completed'],
                    total: session['/teaching_rooms'],
                }, session['/teaching_ownerId'], false);
                buttonTitle = configureButtonTitle(userId, session['/teaching_ownerId'], session['/teaching_is_handedover']);
                openSessionButton = (React.createElement(SessionActionButton, { key: session['ogit/_id'], onClick: function () {
                        return openApp(katId, { action: 'open-session', id: session['ogit/_id'] });
                    }, color: session['/teaching_ownerId'] ? 'secondary' : 'primary' }, buttonTitle));
                actions = [openSessionButton];
                sessionData = {
                    id: session['ogit/_id'],
                    name: session['ogit/title'] || '',
                    description: session['ogit/description'] || null,
                    progress: progressValue,
                    actions: actions,
                };
                _b.label = 1;
            case 1:
                _b.trys.push([1, 4, , 5]);
                _a = session['/teaching_ownerId'];
                if (!_a) return [3 /*break*/, 3];
                return [4 /*yield*/, client.get(session['/teaching_ownerId'])];
            case 2:
                _a = (_b.sent())['ogit/name'];
                _b.label = 3;
            case 3:
                knowledgeOwner = _a;
                return [2 /*return*/, __assign(__assign({}, sessionData), { knowledgeOwner: knowledgeOwner || '' })];
            case 4:
                error_1 = _b.sent();
                console.error(error_1);
                return [2 /*return*/, __assign(__assign({}, sessionData), { knowledgeOwner: '' })];
            case 5: return [2 /*return*/];
        }
    });
}); }; };
